unit DDemoMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Image: TImage;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Mpcx;

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
Var
	p : TMPCXImage;
begin
	If ( OpenDialog.Execute ) Then
    Begin
    	If ( LowerCase( ExtractFileExt( OpenDialog.FileName ) ) = '.pcx' ) Then
        Begin
        	p := TMPCXImage.Create;
            p.LoadFromFile( OpenDialog.FileName );
            Image.Picture.Bitmap.Assign( p );
            p.Free;
        End
        Else If ( LowerCase( ExtractFileExt( OpenDialog.FileName ) ) = '.bmp' ) Then
        	Image.Picture.Bitmap.LoadFromFile( OpenDialog.FileName )
        Else
        	ShowMessage( 'Invalid file format!' );
    End;
end;

procedure TForm1.Button2Click(Sender: TObject);
Var
	p : TMPCXImage;
begin
	If ( SaveDialog.Execute ) Then
    Begin
    	If ( LowerCase( ExtractFileExt( SaveDialog.FileName ) ) = '.pcx' ) Then
        Begin
        	p := TMPCXImage.Create;
            p.Assign( Image.Picture.Bitmap );
            p.SaveToFile( SaveDialog.FileName );
            p.Free;
        End
        Else If ( LowerCase( ExtractFileExt( SaveDialog.FileName ) ) = '.bmp' ) Then
        	Image.Picture.Bitmap.SaveToFile( SaveDialog.FileName )
        Else
        	ShowMessage( 'Invalid file format !' );
    End;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
	Close;
end;

end.
